> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return a specific I9 submission for an employee

> Return a specific I9 submission for an employee.



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml get /v1/employers/{employerId}/employees/{employeeId}/submissions/{submissionId}
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /v1/employers/{employerId}/employees/{employeeId}/submissions/{submissionId}:
    get:
      tags:
        - Employee
      summary: Return a specific I9 submission for an employee
      description: Return a specific I9 submission for an employee.
      operationId: getSubmissionById
      parameters:
        - in: path
          name: employerId
          required: true
          schema:
            type: string
        - in: path
          name: employeeId
          required: true
          schema:
            type: string
        - in: path
          name: submissionId
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              examples:
                Information for a specific submission:
                  description: Information for a specific submission
                  summary: >-
                    Submission details with navigation links provided via HTTP
                    headers
                  value:
                    submission:
                      auditLogs:
                        - actorId: 148
                          actorType: employee
                          details: {}
                          eventName: employee_submission_created
                          request:
                            referrer: https://domain.com/forms/i9/submission/new
                            remoteIp: 2601:2c1:8501:c480:552a:9fcf:f83c:4203
                            serverName: domain.com
                            url: https://domain.com/i9_submission
                            userAgent: >-
                              Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                              AppleWebKit/537.36 (KHTML, like Gecko)
                              Chrome/139.0.0.0 Safari/537.36
                          serverTimestamp: '2025-09-16T11:43:30-07:00'
                        - actorId: 4505551
                          actorType: user
                          details:
                            actorName: John Doe
                          eventName: admin_countersign
                          serverTimestamp: '2025-09-16T21:59:58-06:00'
                        - actorId: 0
                          details:
                            actorName: API User
                          eventName: api_reverify_created
                          request:
                            referrer: 'null'
                            remoteIp: 76.30.145.118
                            serverName: domain.com
                            url: >-
                              https://domain.com/api/i9/submissions/20/begin_reverify
                            userAgent: Apache-HttpClient/5.4.3 (Java/21.0.6)
                          serverTimestamp: '2025-09-16T22:00:40-06:00'
                        - actorId: 0
                          details:
                            actorName: API User
                          eventName: api_reverify_created
                          request:
                            referrer: 'null'
                            remoteIp: 76.30.145.118
                            serverName: domain.com
                            url: >-
                              https://domain.com/api/i9/submissions/20/begin_reverify
                            userAgent: Apache-HttpClient/5.4.3 (Java/21.0.6)
                          serverTimestamp: '2025-09-16T22:11:24-06:00'
                      authRepRejected: false
                      countersignable: true
                      countersigned: true
                      documentFileName: Form I-9.pdf
                      documentName: Form I-9
                      documentVerificationResult: completed
                      fields:
                        businessCity: Scottsdale
                        businessName: Company 1
                        businessState: AZ
                        businessStreetAddress1: 14350 N 87th St
                        businessZip: 85260-2662
                        citizenshipDesignation: citizen
                        city: some-city
                        dateOfBirth: '1987-08-23'
                        emailAddress: johndoe@example.com
                        employeeSignDate: '2025-09-16'
                        employeeStartDate: '2025-09-22'
                        employerCertifyDate: '2025-09-16'
                        employerFirstName: John
                        employerLastName: Doe
                        employerTitle: Mr
                        firstName: John
                        lastName: Doe
                        otherNames: N/A
                        socialSecurityNumber: 889-75-5987
                        state: AZ
                        streetAddress1: 123 Somewhere ST
                        telephoneNumber: 223-223-1231
                        usedAltProcedure: 'false'
                        zipCode: '12345'
                      id: 20
                      isCurrentSubmissionOfAssignment: true
                      isExpired: false
                      isReverified: false
                      reverifyExists: true
                      reverifyInProgress: true
                      status: accepted
                      statusChangedAt: '2025-09-17T03:59:58Z'
                      submittedAt: '2025-09-16T18:43:29Z'
                      verificationDocuments:
                        - documentNumber: '588386945'
                          documentTitle: U.S. Passport
                          documentationKey: us_passport
                          expirationDate: 03/28/2029
                          fileFrontContentType: image/jpeg
                          fileFrontFilename: U.S. Passport.jpeg
                          issuingAuthority: Department of State
                          listIndex: 0
                          listKey: a
                          receipt: false
                      zipFile: base64ZipFile
              schema:
                $ref: '#/components/schemas/SubmissionResponse'
          description: OK
        '400':
          description: Bad Request, make sure to use GET request
        '404':
          description: Resource not found
      security:
        - AuthenticationToken: []
components:
  schemas:
    SubmissionResponse:
      description: Submission details response
      properties:
        submission:
          $ref: '#/components/schemas/SubmissionDetails'
          description: Submission details
      type: object
    SubmissionDetails:
      description: Submission details
      properties:
        auditLogs:
          items:
            $ref: '#/components/schemas/AuditLog'
          type: array
        authRepRejected:
          type: boolean
        countersignable:
          type: boolean
        countersigned:
          type: boolean
        documentFileName:
          type: string
        documentName:
          type: string
        documentVerificationResolution:
          $ref: '#/components/schemas/SubmissionDocumentVerificationResolution'
        documentVerificationResult:
          type: string
        documentationExpirationDate:
          type: string
        fields:
          $ref: '#/components/schemas/SubmissionFields'
        id:
          format: int32
          type: integer
        isCurrentSubmissionOfAssignment:
          type: boolean
        isExpired:
          type: boolean
        isReverified:
          type: boolean
        rejectionAdditionalDetails:
          type: string
        rejectionReason:
          type: string
        reverificationRehire:
          items:
            $ref: '#/components/schemas/SubmissionReverificationRehire'
          type: array
        reverifyExists:
          type: boolean
        reverifyInProgress:
          type: boolean
        status:
          enum:
            - accepted
            - pending
            - rejected
          type: string
        statusChangedAt:
          format: date-time
          type: string
        statusChangedBy:
          type: string
        submittedAt:
          format: date-time
          type: string
        verificationDocuments:
          items:
            $ref: '#/components/schemas/VerificationDocument'
          type: array
        zipFile:
          type: string
      type: object
    AuditLog:
      properties:
        actorId:
          format: int64
          type: integer
        actorType:
          enum:
            - admin
            - employee
            - user
          type: string
        details:
          $ref: '#/components/schemas/AuditLogDetails'
        eventName:
          type: string
        request:
          $ref: '#/components/schemas/AuditLogRequest'
        serverTimestamp:
          format: date-time
          type: string
      type: object
    SubmissionDocumentVerificationResolution:
      properties:
        actorId:
          format: int32
          type: integer
        actorName:
          type: string
        actorType:
          type: string
        resolvedAt:
          format: date-time
          type: string
      type: object
    SubmissionFields:
      properties:
        businessCity:
          type: string
        businessName:
          type: string
        businessState:
          type: string
        businessStreetAddress1:
          type: string
        businessZip:
          type: string
        citizenshipDesignation:
          type: string
        city:
          type: string
        dateOfBirth:
          format: date
          type: string
        emailAddress:
          type: string
        employeeSignDate:
          format: date
          type: string
        employeeStartDate:
          format: date
          type: string
        employerCertifyDate:
          format: date
          type: string
        employerFirstName:
          type: string
        employerLastName:
          type: string
        employerTitle:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        lateReason:
          type: string
        lateReasonOther:
          type: string
        middleInitial:
          type: string
        otherNames:
          type: string
        socialSecurityNumber:
          type: string
        state:
          type: string
        streetAddress1:
          type: string
        streetAddress2:
          type: string
        telephoneNumber:
          type: string
        usedAltProcedure:
          type: string
        zipCode:
          type: string
      type: object
    SubmissionReverificationRehire:
      properties:
        additionalInfo:
          type: string
        date:
          description: Date in YYYY-MM-DD format or 'N/A' if not available
          example: '2024-01-15'
          type: string
        employerOrAuthrepName:
          type: string
        newFirstName:
          type: string
        newLastName:
          type: string
        newMiddleInitial:
          type: string
        rehireDate:
          type: string
        reverifyDocumentNumber:
          type: string
        reverifyDocumentTitle:
          type: string
        reverifyExpirationDate:
          description: Expiration date in YYYY-MM-DD format or 'N/A' if not available
          example: '2024-12-31'
          type: string
        reverifyUsedAltProcedure:
          type: string
        submittedAt:
          format: date-time
          type: string
      type: object
    VerificationDocument:
      properties:
        documentNumber:
          type: string
        documentTitle:
          type: string
        documentationKey:
          enum:
            - alien_registration_receipt_card
            - canadian_drivers_license
            - cert_birth_abroad
            - cert_consular_report_birth
            - cert_report_birth
            - drivers_license
            - employment_auth_by_dhs
            - employment_auth_doc
            - foreign_passport
            - foreign_passport_mriv
            - foreign_passport_with_i94
            - form_i94
            - fsm_passport_with_i94
            - i551_stamp
            - i94_supporting_doc
            - id_card
            - id_card_resident_citizen
            - military_card
            - military_dependent_id_card
            - military_draft_record
            - mriv
            - native_american_tribal_document
            - native_american_tribal_document2
            - permanent_resident_card
            - rmi_passport_with_i94
            - school_id_card
            - special_placement
            - ssn_card
            - state_id_card
            - under18_daycare_record
            - under18_doctor_record
            - under18_none
            - under18_school_report_card
            - us_birth_certificate
            - us_citizen_id_card
            - us_passport
            - us_passport_card
            - uscgmm_card
            - voter_registration_card
          type: string
        expirationDate:
          description: >-
            Expiration date in 'YYYY-MM-DD' format, 'D/S' indicating Duration of
            Stay (I-94) or 'N/A' if not applicable
          example: '2024-12-31'
          type: string
        fileFrontContentType:
          type: string
        fileFrontFilename:
          type: string
        issuingAuthority:
          type: string
        listIndex:
          format: int32
          type: integer
        listKey:
          enum:
            - a
            - b
            - c
          type: string
        receipt:
          type: boolean
      type: object
    AuditLogDetails:
      properties:
        action:
          type: string
        actorName:
          type: string
        controller:
          type: string
        documentReview:
          $ref: '#/components/schemas/AuditLogDocumentReview'
        i9RemoteReverify:
          $ref: '#/components/schemas/AuditLogRemoteReverify'
        info:
          type: string
        photoConfirmation:
          type: string
        status:
          type: string
        subdomain:
          type: string
        subsidiary:
          type: string
      type: object
    AuditLogRequest:
      properties:
        referrer:
          type: string
        remoteIp:
          type: string
        serverName:
          type: string
        url:
          type: string
        userAgent:
          type: string
      type: object
    AuditLogDocumentReview:
      properties:
        documentSetIndex:
          format: int32
          type: integer
        match:
          type: string
        mismatchReasons:
          items:
            type: string
          type: array
      type: object
    AuditLogRemoteReverify:
      properties:
        actor:
          type: string
        authorizedRepresentivePhoneNumber:
          type: string
        coordinates:
          $ref: '#/components/schemas/AuditLogGeoLocation'
        eventType:
          type: string
        qrSecretMatched:
          type: boolean
      type: object
    AuditLogGeoLocation:
      properties:
        latitude:
          type: string
        longitude:
          type: string
      type: object
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````